Package org.apache.sling.serviceusermapping

## Interface ServicePrincipalsValidator

    @ConsumerType
    public interface ServicePrincipalsValidator

The `ServicePrincipalsValidator` allows to implement validation of configured service user mappings.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `isValid​(Iterable<String> servicePrincipalNames, String serviceName, String subServiceName)` Validates the configured service principal names.

### Method Detail

#### isValid

    boolean isValid​(Iterable<String> servicePrincipalNames,
                    String serviceName,
                    String subServiceName)

Validates the configured service principal names.

Parameters:
  `servicePrincipalNames` - The principal names associated with the service.
  `serviceName` - The name of the service
  `subServiceName` - The optional sub service name.
Returns:
  `true` if all configured service principal names are valid; `false` otherwise.